Bug 1091216 (ghc-hint) - Review Request: ghc-hint - Runtime Haskell interpreter
Summary: Review Request: ghc-hint - Runtime Haskell interpreter
Keywords:
Status: CLOSED ERRATA
Alias: ghc-hint
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
low
unspecified
Target Milestone: ---
Assignee: Ben Boeckel
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: ghc-exceptions
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-04-25 08:38 UTC by Jens Petersen
Modified: 2014-11-12 23:19 UTC (History)
2 users (show)

Fixed In Version: ghc-exceptions-0.6.1-1.el7
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-07-30 21:57:36 UTC
mathstuf: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Jens Petersen 2014-04-25 08:38:44 UTC
Spec URL: http://petersen.fedorapeople.org/reviews/ghc-hint.spec
SRPM URL: http://petersen.fedorapeople.org/reviews/ghc-hint-0.4.1.0-1.fc20.src.rpm

Description:
This library defines an 'Interpreter' monad. It allows to load Haskell modules,
browse them, type-check and evaluate strings with Haskell expressions and even
coerce them into values. The library is thread-safe and type-safe (even the
coercion of expressions to values). It is, esentially, a huge subset of the GHC
API wrapped in a simpler API.

Comment 1 Jens Petersen 2014-04-25 08:59:15 UTC
http://packdeps.haskellers.com/reverse/hint

Comment 3 Ben Boeckel 2014-07-14 20:43:56 UTC
Looks like this need a version bump:

Setup: At least the following dependencies are missing:
ghc-mtl ==1.2.1.*

Comment 4 Jens Petersen 2014-07-15 06:29:40 UTC
Well actually F21+ has 1.2.1.0 but I could update F20 too.

Comment 5 Ben Boeckel 2014-07-15 17:18:12 UTC
Forgot I wasn't on Rawhide on this machine :) .

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "Unknown or generated". 26 files have unknown license. Detailed output of
     licensecheck in /home/boeckb/misc/code/fedora/1091216-ghc-
     hint/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[?]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[?]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[-]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 808960 bytes in 50 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Scriptlets must be sane, if used.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[?]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Fully versioned dependency in subpackages if applicable.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: ghc-hint-0.4.2.0-1.fc22.x86_64.rpm
          ghc-hint-devel-0.4.2.0-1.fc22.x86_64.rpm
          ghc-hint-0.4.2.0-1.fc22.src.rpm
ghc-hint.x86_64: W: spelling-error Summary(en_US) Runtime -> Run time, Run-time, Rudiment
ghc-hint.x86_64: W: spelling-error %description -l en_US monad -> nomad, gonad, Mona
ghc-hint.x86_64: W: spelling-error %description -l en_US esentially -> essentially, sequentially, existentially
ghc-hint.src: W: spelling-error Summary(en_US) Runtime -> Run time, Run-time, Rudiment
ghc-hint.src: W: spelling-error %description -l en_US monad -> nomad, gonad, Mona
ghc-hint.src: W: spelling-error %description -l en_US esentially -> essentially, sequentially, existentially
3 packages and 0 specfiles checked; 0 errors, 6 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint ghc-hint-devel ghc-hint
ghc-hint.x86_64: W: spelling-error Summary(en_US) Runtime -> Run time, Run-time, Rudiment
ghc-hint.x86_64: W: spelling-error %description -l en_US monad -> nomad, gonad, Mona
ghc-hint.x86_64: W: spelling-error %description -l en_US esentially -> essentially, sequentially, existentially
2 packages and 0 specfiles checked; 0 errors, 3 warnings.
# echo 'rpmlint-done:'



Requires
--------
ghc-hint-devel (rpmlib, GLIBC filtered):
    /bin/sh
    ghc(hint-0.4.2.0-1982b7ccd1d57fa71b2a6904175abc5c)
    ghc-compiler
    ghc-devel(base-4.6.0.1-8aa5d403c45ea59dcd2c39f123e27d57)
    ghc-devel(directory-1.2.0.1-91a788fd88acd7f149f0f10f5f1e23f2)
    ghc-devel(exceptions-0.6.1-f3778082eeb6d3e51b3f261d7475a225)
    ghc-devel(extensible-exceptions-0.1.1.4-255a395b3b026cb94b23754e1c372785)
    ghc-devel(filepath-1.3.0.1-b12cbe18566fe1532a1fda4c85e31cbe)
    ghc-devel(ghc-7.6.3-12ed9fda297e18c83fc01b7e90af0868)
    ghc-devel(ghc-mtl-1.2.1.0-d4614adbb8f924602fef7e8925ca0974)
    ghc-devel(ghc-paths-0.1.0.9-f711af816a12d20b8af15bb9cf6e0b0d)
    ghc-devel(mtl-2.1.2-82086cac9073862cbe01e44b81ec8b9b)
    ghc-devel(random-1.0.1.1-43fdc5da991685d8a0ec8cb553880cf8)
    ghc-devel(unix-2.6.0.1-4f219f792083f70ec440ce406f12ce57)
    ghc-devel(utf8-string-0.3.7-26a8ed8ca48fe809983bde6faca943a9)
    ghc-hint(x86-64)

ghc-hint (rpmlib, GLIBC filtered):
    ghc(base-4.6.0.1-8aa5d403c45ea59dcd2c39f123e27d57)
    ghc(directory-1.2.0.1-91a788fd88acd7f149f0f10f5f1e23f2)
    ghc(exceptions-0.6.1-f3778082eeb6d3e51b3f261d7475a225)
    ghc(extensible-exceptions-0.1.1.4-255a395b3b026cb94b23754e1c372785)
    ghc(filepath-1.3.0.1-b12cbe18566fe1532a1fda4c85e31cbe)
    ghc(ghc-7.6.3-12ed9fda297e18c83fc01b7e90af0868)
    ghc(ghc-mtl-1.2.1.0-d4614adbb8f924602fef7e8925ca0974)
    ghc(ghc-paths-0.1.0.9-f711af816a12d20b8af15bb9cf6e0b0d)
    ghc(mtl-2.1.2-82086cac9073862cbe01e44b81ec8b9b)
    ghc(random-1.0.1.1-43fdc5da991685d8a0ec8cb553880cf8)
    ghc(unix-2.6.0.1-4f219f792083f70ec440ce406f12ce57)
    ghc(utf8-string-0.3.7-26a8ed8ca48fe809983bde6faca943a9)
    libHSCabal-1.16.0-ghc7.6.3.so()(64bit)
    libHSarray-0.4.0.1-ghc7.6.3.so()(64bit)
    libHSbase-4.6.0.1-ghc7.6.3.so()(64bit)
    libHSbin-package-db-0.0.0.0-ghc7.6.3.so()(64bit)
    libHSbinary-0.5.1.1-ghc7.6.3.so()(64bit)
    libHSbytestring-0.10.0.2-ghc7.6.3.so()(64bit)
    libHScontainers-0.5.0.0-ghc7.6.3.so()(64bit)
    libHSdeepseq-1.3.0.1-ghc7.6.3.so()(64bit)
    libHSdirectory-1.2.0.1-ghc7.6.3.so()(64bit)
    libHSexceptions-0.6.1-ghc7.6.3.so()(64bit)
    libHSextensible-exceptions-0.1.1.4-ghc7.6.3.so()(64bit)
    libHSfilepath-1.3.0.1-ghc7.6.3.so()(64bit)
    libHSghc-7.6.3-ghc7.6.3.so()(64bit)
    libHSghc-mtl-1.2.1.0-ghc7.6.3.so()(64bit)
    libHSghc-paths-0.1.0.9-ghc7.6.3.so()(64bit)
    libHSghc-prim-0.3.0.0-ghc7.6.3.so()(64bit)
    libHShoopl-3.9.0.0-ghc7.6.3.so()(64bit)
    libHShpc-0.6.0.0-ghc7.6.3.so()(64bit)
    libHSinteger-gmp-0.5.0.0-ghc7.6.3.so()(64bit)
    libHSmtl-2.1.2-ghc7.6.3.so()(64bit)
    libHSold-locale-1.0.0.5-ghc7.6.3.so()(64bit)
    libHSold-time-1.1.0.1-ghc7.6.3.so()(64bit)
    libHSpretty-1.1.1.0-ghc7.6.3.so()(64bit)
    libHSprocess-1.1.0.2-ghc7.6.3.so()(64bit)
    libHSrandom-1.0.1.1-ghc7.6.3.so()(64bit)
    libHStemplate-haskell-2.8.0.0-ghc7.6.3.so()(64bit)
    libHStime-1.4.0.1-ghc7.6.3.so()(64bit)
    libHStransformers-0.3.0.0-ghc7.6.3.so()(64bit)
    libHSunix-2.6.0.1-ghc7.6.3.so()(64bit)
    libHSutf8-string-0.3.7-ghc7.6.3.so()(64bit)
    libc.so.6()(64bit)
    libdl.so.2()(64bit)
    libgmp.so.10()(64bit)
    libpthread.so.0()(64bit)
    librt.so.1()(64bit)
    libutil.so.1()(64bit)
    rtld(GNU_HASH)



Provides
--------
ghc-hint-devel:
    ghc-devel(hint-0.4.2.0-1982b7ccd1d57fa71b2a6904175abc5c)
    ghc-hint-devel
    ghc-hint-devel(x86-64)
    ghc-hint-static

ghc-hint:
    ghc(hint-0.4.2.0-1982b7ccd1d57fa71b2a6904175abc5c)
    ghc-hint
    ghc-hint(x86-64)
    libHShint-0.4.2.0-ghc7.6.3.so()(64bit)



Unversioned so-files
--------------------
ghc-hint: /usr/lib64/ghc-7.6.3/hint-0.4.2.0/libHShint-0.4.2.0-ghc7.6.3.so

Source checksums
----------------
http://hackage.haskell.org/package/hint-0.4.2.0/hint-0.4.2.0.tar.gz :
  CHECKSUM(SHA256) this package     : add643926ef91cb886968cb36efb92621bbe6d7e4d570906ebecf8ecfd4f9821
  CHECKSUM(SHA256) upstream package : add643926ef91cb886968cb36efb92621bbe6d7e4d570906ebecf8ecfd4f9821


Generated by fedora-review 0.5.1 (bb9bf27) last change: 2013-12-13
Command line :/usr/bin/fedora-review -b 1091216 -m fedora-rawhide-x86_64
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Haskell, Shell-api, C/C++
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Perl, R, PHP, Ruby
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG

Comment 6 Jens Petersen 2014-07-16 03:41:44 UTC
Thank you Ben for reviewing this!


New Package SCM Request
=======================
Package Name: ghc-hint
Short Description: Runtime Haskell interpreter
Upstream URL: http://hackage.haskell.org/package/hint
Owners: petersen
Branches: f21 f20 f19 epel7 el6
InitialCC: haskell-sig

Comment 7 Gwyn Ciesla 2014-07-16 10:08:05 UTC
Git done (by process-git-requests).

Comment 8 Fedora Update System 2014-07-17 04:54:21 UTC
ghc-ghc-mtl-1.2.1.0-1.fc20, ghc-hint-0.4.2.0-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/FEDORA-2014-8435/ghc-ghc-mtl-1.2.1.0-1.fc20,ghc-hint-0.4.2.0-1.fc20

Comment 9 Fedora Update System 2014-07-19 06:08:03 UTC
ghc-ghc-mtl-1.2.1.0-1.fc20, ghc-hint-0.4.2.0-1.fc20 has been pushed to the Fedora 20 testing repository.

Comment 10 Fedora Update System 2014-07-23 02:59:55 UTC
ghc-ghc-mtl-1.2.1.0-1.fc20, ghc-hint-0.4.2.0-2.fc20 has been pushed to the Fedora 20 testing repository.

Comment 11 Fedora Update System 2014-07-30 21:57:36 UTC
ghc-ghc-mtl-1.2.1.0-1.fc20, ghc-hint-0.4.2.0-2.fc20 has been pushed to the Fedora 20 stable repository.

Comment 12 Fedora Update System 2014-10-27 02:04:36 UTC
ghc-exceptions-0.6.1-1.el7, ghc-ghc-mtl-1.2.1.0-1.el7, ghc-hint-0.4.2.0-2.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2014-3568/ghc-hint-0.4.2.0-2.el7,ghc-exceptions-0.6.1-1.el7,ghc-ghc-mtl-1.2.1.0-1.el7

Comment 13 Fedora Update System 2014-11-12 23:19:07 UTC
ghc-exceptions-0.6.1-1.el7, ghc-ghc-mtl-1.2.1.0-1.el7, ghc-hint-0.4.2.0-2.el7 has been pushed to the Fedora EPEL 7 stable repository.


Note You need to log in before you can comment on or make changes to this bug.